Ace::Sequence::Gene(3pm)

NAME
Ace::Sequence::Gene - Simple "Gene" Object

SYNOPSIS
    # open database connection and get an Ace::Object sequence
    use Ace::Sequence;

    # get a megabase from the middle of chromosome I
    $seq = Ace::Sequence->new(-name   => 'CHROMOSOME_I,
                              -db     => $db,
                              -offset => 3_000_000,
                              -length => 1_000_000);

    # get all the genes
    @genes = $seq->genes;

    # get the exons from the first one
    @exons = $genes[0]->exons;

    # get the introns
    @introns = $genes[0]->introns

    # get the CDSs (NOT IMPLEMENTED YET!)
    @cds = $genes[0]->cds;

DESCRIPTION
Ace::Sequence::Gene is a subclass of Ace::Sequence::Feature. It inherits all the methods of Ace::Sequence::Feature, but adds the ability to retrieve the annotated introns and exons of the gene.

OBJECT CREATION
You will not ordinarily create an Ace::Sequence::Gene object directly. Instead, objects will be created in response to a genes() call to an Ace::Sequence object.

OBJECT METHODS
Most methods are inherited from Ace::Sequence::Feature. The following methods are also supported:

exons()
      @exons = $gene->exons;

    Return a list of Ace::Sequence::Feature objects corresponding to annotated exons.

introns()
      @introns = $gene->introns;

    Return a list of Ace::Sequence::Feature objects corresponding to annotated introns.

cds()
      @cds = $gene->cds;

    Return a list of Ace::Sequence::Feature objects corresponding to coding sequence. THIS IS NOT YET IMPLEMENTED.

relative()
      $relative = $gene->relative;
      $gene->relative(1);

    This turns on and off relative coordinates. By default, the exons and intron features will be returned in the coordinate system used by the gene. If relative() is set to a true value, then coordinates will be expressed as relative to the start of the gene. The first exon will (usually) be 1.

SEE ALSO
Ace, Ace::Object, Ace::Sequence,Ace::Sequence::Homol, Ace::Sequence::Feature, Ace::Sequence::FeatureList, GFF

AUTHOR
Lincoln Stein <lstein@cshl.org> with extensive help from Jean Thierry-Mieg <mieg@kaa.crbm.cnrs-mop.fr>

Copyright (c) 1999, Lincoln D. Stein

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See DISCLAIMER.txt for disclaimers of warranty.

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 148:
    You forgot a '=back' before '=head1'